Bug 1486924 - "info awk" gives broken link "Cannot find node 'Invoking gawk'."
Summary: "info awk" gives broken link "Cannot find node 'Invoking gawk'."
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gawk
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar // Dee'Kej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 19:27 UTC by Don Swaner
Modified: 2017-09-30 06:40 UTC (History)
2 users (show)

Fixed In Version: gawk-4.1.4-5.fc26 gawk-4.1.3-12.fc25 gawk-4.1.4-6.fc27 gawk-4.1.4-7.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 23:23:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Don Swaner 2017-08-30 19:27:06 UTC
Description of problem:
"info awk" gives broken link "Cannot find node 'Invoking gawk'."
"info gawk" works OK.

Version-Release number of selected component (if applicable):
gawk-4.1.4-3.fc26.x86_64

How reproducible:
100%

Steps to Reproduce:
1. At command line, enter:
info awk

Actual results:
User is taken to main info node, with error message 
"Cannot find node 'Invoking gawk'."

Expected results:
"info awk" redirects to the gawk info.

Additional info:
"man awk" and "man gawk" work OK.

Comment 1 David Kaspar // Dee'Kej 2017-08-31 09:38:41 UTC
Ah, yes. The reason for it is that the symlinks are not created in the specfile during the build. I will fix this... :)

Comment 2 David Kaspar // Dee'Kej 2017-08-31 18:00:27 UTC
Fix submitted into Pagure:
https://src.fedoraproject.org/rpms/gawk/c/26ec52c3db67139f31ac963f9e6536d44d3

Comment 3 Fedora Update System 2017-09-11 13:14:25 UTC
gawk-4.1.4-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00b893b1a1

Comment 4 Fedora Update System 2017-09-11 13:16:12 UTC
gawk-4.1.4-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ad365a54b

Comment 5 Fedora Update System 2017-09-11 13:17:10 UTC
gawk-4.1.3-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00cc63ecf5

Comment 6 Fedora Update System 2017-09-11 21:55:53 UTC
gawk-4.1.4-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00b893b1a1

Comment 7 Fedora Update System 2017-09-12 01:23:06 UTC
gawk-4.1.4-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ad365a54b

Comment 8 Fedora Update System 2017-09-12 02:20:43 UTC
gawk-4.1.3-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00cc63ecf5

Comment 9 Don Swaner 2017-09-12 15:20:52 UTC
gawk-4.1.4-4.fc26.x86_64 still gives same error.

Comment 10 Don Swaner 2017-09-12 16:53:39 UTC
gawk-4.1.3-10.fc25.x86_64 still gives same error.

Comment 11 Fedora Update System 2017-09-12 22:57:05 UTC
gawk-4.1.4-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Don Swaner 2017-09-13 00:26:58 UTC
In F26, gawk-4.1.4-4.fc26.x86_64,
if I do an "info -x1 awk", it results in:

info: looking for file "gawk"
info: looking for file gawk in /usr/share/info
info: found file /usr/share/info/gawk.info.gz

However, I am still taken to the top info node, and I still get the error message : "Cannot find node 'Invoking gawk'."

Comment 13 Kamil Dudka 2017-09-13 08:39:14 UTC
While this was automatically closed by Bodhi, comment #9, comment #10 and comment #12 suggest that the problem still persists.  Reopening for further analysis...

Comment 14 Don Swaner 2017-09-13 12:02:23 UTC
In F26, gawk-4.1.4-4.fc26.x86_64,
if in line 1878 of /usr/share/info/dir, the link is changed from "...Invoking gawk..." to "...Invoking Gawk...", then "info awk" works.

Comment 15 David Kaspar // Dee'Kej 2017-09-13 14:05:22 UTC
(In reply to Don Swaner from comment #14)
> In F26, gawk-4.1.4-4.fc26.x86_64,
> if in line 1878 of /usr/share/info/dir, the link is changed from
> "...Invoking gawk..." to "...Invoking Gawk...", then "info awk" works.

Thanks for your help, Don. That actually led me to solution.

I have informed upstream about this issue:
http://lists.gnu.org/archive/html/bug-gawk/2017-09/msg00015.html

I will create a new build, once they accept the fix. ;)

Comment 16 David Kaspar // Dee'Kej 2017-09-14 13:58:04 UTC
The patches were accepted by upstream:
http://git.savannah.gnu.org/cgit/gawk.git/commit/?id=45b363502f438604737f19b639

I will try to prepare a new gawk build tomorrow.

  -- Dee'Kej --

Comment 17 Fedora Update System 2017-09-18 02:51:25 UTC
gawk-4.1.3-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-18 18:37:27 UTC
gawk-4.1.4-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb45693489

Comment 19 Fedora Update System 2017-09-18 18:38:02 UTC
gawk-4.1.4-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c66158f2b

Comment 20 Fedora Update System 2017-09-18 18:38:36 UTC
gawk-4.1.3-11.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd1b4528cd

Comment 21 Fedora Update System 2017-09-18 19:07:54 UTC
gawk-4.1.3-12.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd1b4528cd

Comment 22 Fedora Update System 2017-09-18 22:24:18 UTC
gawk-4.1.4-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb45693489

Comment 23 Fedora Update System 2017-09-19 04:22:26 UTC
gawk-4.1.4-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c66158f2b

Comment 24 Fedora Update System 2017-09-19 05:22:53 UTC
gawk-4.1.3-12.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd1b4528cd

Comment 25 Fedora Update System 2017-09-19 23:23:32 UTC
gawk-4.1.4-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-09-22 05:22:43 UTC
gawk-4.1.3-12.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-09-30 06:22:50 UTC
gawk-4.1.4-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-09-30 06:40:04 UTC
gawk-4.1.4-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.